---
title: Selection.isCollapsed
slug: Web/API/Selection/isCollapsed
tags:
  - API
  - DOM
  - Experimental
  - HTML Editing
  - Property
  - Read-only
  - Reference
  - Selection
---
<div>{{ ApiRef("DOM") }}{{SeeCompatTable}}</div>

<p>The <strong><code>Selection.isCollapsed</code></strong> read-only property returns a {{jsxref("Boolean")}} which indicates whether or not there is currently any text selected. No text is selected when the selection's start and end points are at the same position in the content.</p>

<p>Keep in mind that a collapsed selection may still have one (or more, in Gecko) {{domxref("Range")}}s, so {{domxref("Selection.rangeCount")}} may not be zero. In that scenario, calling a {{domxref("Selection")}} object's {{domxref("Selection.getRangeAt", "getRangeAt()")}} method may return a <code>Range</code> object which is collapsed.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>bool</em> =<em> sel</em>.isCollapsed
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Selection API', '#dom-selection-iscollapsed', 'Selection.isCollapsed')}}</td>
   <td>{{Spec2('Selection API')}}</td>
   <td>Current</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Selection.isCollapsed")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Selection")}}</li>
 <li>{{domxref("Range")}}</li>
</ul>
